package com.template.services;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.evaluate.student.SmartSubjectTemplate;
import com.template.model.result.PageUtils;

import java.util.List;

/**
 * <p>
 * 平分项管理 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-03-14
 */
public interface SmartSubjectTemplateService extends IService<SmartSubjectTemplate> {

    int insertSmartSubjectTemplate(SmartSubjectTemplate sa);

    int updateSmartSubjectTemplate(SmartSubjectTemplate sa);

    PageUtils<SmartSubjectTemplate> queryPageSmartSubjectTemplate(int currentPage, int pageCount, QueryWrapper<SmartSubjectTemplate> queryWrapper);

    int deleteSmartSubjectTemplateById(int id);

    SmartSubjectTemplate getSmartSubjectTemplateById(int id);

    List<SmartSubjectTemplate> getSmartSubjectTemplateList();

    List<SmartSubjectTemplate> getSmartSubjectTemplateByKey(QueryWrapper<SmartSubjectTemplate> queryWrapper);

    SmartSubjectTemplate queryTemplateByTermId(Integer termId, Integer gradeId);

    List<SmartSubjectTemplate> queryTemplateByTermIds(List<Integer> termId, List<Integer> gradeIds);

}
